json_rpc_2 3.0.2 icon indicating copy to clipboard operation
json_rpc_2: ^3.0.2 copied to clipboard

Utilities to write a client or server using the JSON-RPC 2.0 spec.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add json_rpc_2

With Flutter:

 $ flutter pub add json_rpc_2

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  json_rpc_2: ^3.0.2

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:json_rpc_2/json_rpc_2.dart';
56
likes
140
pub points
99%
popularity

Publisher

verified publisher icontools.dart.dev

Utilities to write a client or server using the JSON-RPC 2.0 spec.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Icon for licenses.BSD-3-Clause (LICENSE)

Dependencies

stack_trace, stream_channel

More

Packages that depend on json_rpc_2